Package com.ocient.jdbc.proto

## Class PlanProtocol.AggregationOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.AggregationOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.AggregationOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.AggregationOperator

    public static final class PlanProtocol.AggregationOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>
    implements PlanProtocol.AggregationOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.AggregationOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.AggregationOperator.Builder` `addAllInputCols​(Iterable<String> values)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.AggregationOperator.Builder` `addAllKeys​(Iterable<String> values)` The GROUP BY columns - might be empty
`PlanProtocol.AggregationOperator.Builder` `addAllOps​(Iterable<? extends PlanProtocol.AggregationOperator.AggregationOp> values)` The aggregation operations to perform
`PlanProtocol.AggregationOperator.Builder` `addAllOpsValue​(Iterable<Integer> values)` The aggregation operations to perform
`PlanProtocol.AggregationOperator.Builder` `addAllOutputCols​(Iterable<String> values)` The name to give to the columns created by each aggregation operation
`PlanProtocol.AggregationOperator.Builder` `addAllOutputColsTypes​(Iterable<String> values)` The types for the outputCols, in the same order
`PlanProtocol.AggregationOperator.Builder` `addInputCols​(String value)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.AggregationOperator.Builder` `addInputColsBytes​(com.google.protobuf.ByteString value)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.AggregationOperator.Builder` `addKeys​(String value)` The GROUP BY columns - might be empty
`PlanProtocol.AggregationOperator.Builder` `addKeysBytes​(com.google.protobuf.ByteString value)` The GROUP BY columns - might be empty
`PlanProtocol.AggregationOperator.Builder` `addOps​(PlanProtocol.AggregationOperator.AggregationOp value)` The aggregation operations to perform
`PlanProtocol.AggregationOperator.Builder` `addOpsValue​(int value)` The aggregation operations to perform
`PlanProtocol.AggregationOperator.Builder` `addOutputCols​(String value)` The name to give to the columns created by each aggregation operation
`PlanProtocol.AggregationOperator.Builder` `addOutputColsBytes​(com.google.protobuf.ByteString value)` The name to give to the columns created by each aggregation operation
`PlanProtocol.AggregationOperator.Builder` `addOutputColsTypes​(String value)` The types for the outputCols, in the same order
`PlanProtocol.AggregationOperator.Builder` `addOutputColsTypesBytes​(com.google.protobuf.ByteString value)` The types for the outputCols, in the same order
`PlanProtocol.AggregationOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.AggregationOperator` `build()`
`PlanProtocol.AggregationOperator` `buildPartial()`
`PlanProtocol.AggregationOperator.Builder` `clear()`
`PlanProtocol.AggregationOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.AggregationOperator.Builder` `clearForceOnePartition()` Flag for runtime
`PlanProtocol.AggregationOperator.Builder` `clearInputCols()` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.AggregationOperator.Builder` `clearKeys()` The GROUP BY columns - might be empty
`PlanProtocol.AggregationOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.AggregationOperator.Builder` `clearOps()` The aggregation operations to perform
`PlanProtocol.AggregationOperator.Builder` `clearOutputCols()` The name to give to the columns created by each aggregation operation
`PlanProtocol.AggregationOperator.Builder` `clearOutputColsTypes()` The types for the outputCols, in the same order
`PlanProtocol.AggregationOperator.Builder` `clearUseVector()` Flag for runtime
`PlanProtocol.AggregationOperator.Builder` `clone()`
`PlanProtocol.AggregationOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getForceOnePartition()` Flag for runtime
`String` `getInputCols​(int index)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ByteString` `getInputColsBytes​(int index)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`int` `getInputColsCount()` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ProtocolStringList` `getInputColsList()` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`String` `getKeys​(int index)` The GROUP BY columns - might be empty
`com.google.protobuf.ByteString` `getKeysBytes​(int index)` The GROUP BY columns - might be empty
`int` `getKeysCount()` The GROUP BY columns - might be empty
`com.google.protobuf.ProtocolStringList` `getKeysList()` The GROUP BY columns - might be empty
`PlanProtocol.AggregationOperator.AggregationOp` `getOps​(int index)` The aggregation operations to perform
`int` `getOpsCount()` The aggregation operations to perform
`List<PlanProtocol.AggregationOperator.AggregationOp>` `getOpsList()` The aggregation operations to perform
`int` `getOpsValue​(int index)` The aggregation operations to perform
`List<Integer>` `getOpsValueList()` The aggregation operations to perform
`String` `getOutputCols​(int index)` The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` `getOutputColsBytes​(int index)` The name to give to the columns created by each aggregation operation
`int` `getOutputColsCount()` The name to give to the columns created by each aggregation operation
`com.google.protobuf.ProtocolStringList` `getOutputColsList()` The name to give to the columns created by each aggregation operation
`String` `getOutputColsTypes​(int index)` The types for the outputCols, in the same order
`com.google.protobuf.ByteString` `getOutputColsTypesBytes​(int index)` The types for the outputCols, in the same order
`int` `getOutputColsTypesCount()` The types for the outputCols, in the same order
`com.google.protobuf.ProtocolStringList` `getOutputColsTypesList()` The types for the outputCols, in the same order
`boolean` `getUseVector()` Flag for runtime
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.AggregationOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.AggregationOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.AggregationOperator.Builder` `mergeFrom​(PlanProtocol.AggregationOperator other)`
`PlanProtocol.AggregationOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.AggregationOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.AggregationOperator.Builder` `setForceOnePartition​(boolean value)` Flag for runtime
`PlanProtocol.AggregationOperator.Builder` `setInputCols​(int index, String value)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.AggregationOperator.Builder` `setKeys​(int index, String value)` The GROUP BY columns - might be empty
`PlanProtocol.AggregationOperator.Builder` `setOps​(int index, PlanProtocol.AggregationOperator.AggregationOp value)` The aggregation operations to perform
`PlanProtocol.AggregationOperator.Builder` `setOpsValue​(int index, int value)` The aggregation operations to perform
`PlanProtocol.AggregationOperator.Builder` `setOutputCols​(int index, String value)` The name to give to the columns created by each aggregation operation
`PlanProtocol.AggregationOperator.Builder` `setOutputColsTypes​(int index, String value)` The types for the outputCols, in the same order
`PlanProtocol.AggregationOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.AggregationOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.AggregationOperator.Builder` `setUseVector​(boolean value)` Flag for runtime

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### clear

    public PlanProtocol.AggregationOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.AggregationOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.AggregationOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.AggregationOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.AggregationOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### setField

    public PlanProtocol.AggregationOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### clearField

    public PlanProtocol.AggregationOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### clearOneof

    public PlanProtocol.AggregationOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.AggregationOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     int index,
                                                                     Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.AggregationOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### mergeFrom

    public PlanProtocol.AggregationOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.AggregationOperator.Builder>`

#### mergeFrom

    public PlanProtocol.AggregationOperator.Builder mergeFrom​(PlanProtocol.AggregationOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### mergeFrom

    public PlanProtocol.AggregationOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.AggregationOperator.Builder>`
Throws:
  `IOException`

#### getKeysList

    public com.google.protobuf.ProtocolStringList getKeysList()

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Specified by:
  `getKeysList` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  A list containing the keys.

#### getKeysCount

    public int getKeysCount()

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Specified by:
  `getKeysCount` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  The count of keys.

#### getKeys

    public String getKeys​(int index)

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Specified by:
  `getKeys` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.

#### getKeysBytes

    public com.google.protobuf.ByteString getKeysBytes​(int index)

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Specified by:
  `getKeysBytes` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the keys at the given index.

#### setKeys

    public PlanProtocol.AggregationOperator.Builder setKeys​(int index,
                                                            String value)

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Parameters:
  `index` - The index to set the value at.
  `value` - The keys to set.
Returns:
  This builder for chaining.

#### addKeys

    public PlanProtocol.AggregationOperator.Builder addKeys​(String value)

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Parameters:
  `value` - The keys to add.
Returns:
  This builder for chaining.

#### addAllKeys

    public PlanProtocol.AggregationOperator.Builder addAllKeys​(Iterable<String> values)

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Parameters:
  `values` - The keys to add.
Returns:
  This builder for chaining.

#### clearKeys

    public PlanProtocol.AggregationOperator.Builder clearKeys()

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Returns:
  This builder for chaining.

#### addKeysBytes

    public PlanProtocol.AggregationOperator.Builder addKeysBytes​(com.google.protobuf.ByteString value)

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

Parameters:
  `value` - The bytes of the keys to add.
Returns:
  This builder for chaining.

#### getOpsList

    public List<PlanProtocol.AggregationOperator.AggregationOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsList` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  A list containing the ops.

#### getOpsCount

    public int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsCount` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  The count of ops.

#### getOps

    public PlanProtocol.AggregationOperator.AggregationOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOps` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The ops at the given index.

#### setOps

    public PlanProtocol.AggregationOperator.Builder setOps​(int index,
                                                           PlanProtocol.AggregationOperator.AggregationOp value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Parameters:
  `index` - The index to set the value at.
  `value` - The ops to set.
Returns:
  This builder for chaining.

#### addOps

    public PlanProtocol.AggregationOperator.Builder addOps​(PlanProtocol.AggregationOperator.AggregationOp value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Parameters:
  `value` - The ops to add.
Returns:
  This builder for chaining.

#### addAllOps

    public PlanProtocol.AggregationOperator.Builder addAllOps​(Iterable<? extends PlanProtocol.AggregationOperator.AggregationOp> values)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Parameters:
  `values` - The ops to add.
Returns:
  This builder for chaining.

#### clearOps

    public PlanProtocol.AggregationOperator.Builder clearOps()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Returns:
  This builder for chaining.

#### getOpsValueList

    public List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsValueList` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  A list containing the enum numeric values on the wire for ops.

#### getOpsValue

    public int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsValue` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of ops at the given index.

#### setOpsValue

    public PlanProtocol.AggregationOperator.Builder setOpsValue​(int index,
                                                                int value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of ops at the given index.

#### addOpsValue

    public PlanProtocol.AggregationOperator.Builder addOpsValue​(int value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Parameters:
  `value` - The enum numeric value on the wire for ops to add.
Returns:
  This builder for chaining.

#### addAllOpsValue

    public PlanProtocol.AggregationOperator.Builder addAllOpsValue​(Iterable<Integer> values)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Parameters:
  `values` - The enum numeric values on the wire for ops to add.
Returns:
  This builder for chaining.

#### getInputColsList

    public com.google.protobuf.ProtocolStringList getInputColsList()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsList` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  A list containing the inputCols.

#### getInputColsCount

    public int getInputColsCount()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsCount` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  The count of inputCols.

#### getInputCols

    public String getInputCols​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputCols` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The inputCols at the given index.

#### getInputColsBytes

    public com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsBytes` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the inputCols at the given index.

#### setInputCols

    public PlanProtocol.AggregationOperator.Builder setInputCols​(int index,
                                                                 String value)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Parameters:
  `index` - The index to set the value at.
  `value` - The inputCols to set.
Returns:
  This builder for chaining.

#### addInputCols

    public PlanProtocol.AggregationOperator.Builder addInputCols​(String value)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Parameters:
  `value` - The inputCols to add.
Returns:
  This builder for chaining.

#### addAllInputCols

    public PlanProtocol.AggregationOperator.Builder addAllInputCols​(Iterable<String> values)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Parameters:
  `values` - The inputCols to add.
Returns:
  This builder for chaining.

#### clearInputCols

    public PlanProtocol.AggregationOperator.Builder clearInputCols()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Returns:
  This builder for chaining.

#### addInputColsBytes

    public PlanProtocol.AggregationOperator.Builder addInputColsBytes​(com.google.protobuf.ByteString value)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Parameters:
  `value` - The bytes of the inputCols to add.
Returns:
  This builder for chaining.

#### getOutputColsList

    public com.google.protobuf.ProtocolStringList getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsList` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  A list containing the outputCols.

#### getOutputColsCount

    public int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsCount` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  The count of outputCols.

#### getOutputCols

    public String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputCols` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The outputCols at the given index.

#### getOutputColsBytes

    public com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsBytes` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputCols at the given index.

#### setOutputCols

    public PlanProtocol.AggregationOperator.Builder setOutputCols​(int index,
                                                                  String value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Parameters:
  `index` - The index to set the value at.
  `value` - The outputCols to set.
Returns:
  This builder for chaining.

#### addOutputCols

    public PlanProtocol.AggregationOperator.Builder addOutputCols​(String value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Parameters:
  `value` - The outputCols to add.
Returns:
  This builder for chaining.

#### addAllOutputCols

    public PlanProtocol.AggregationOperator.Builder addAllOutputCols​(Iterable<String> values)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Parameters:
  `values` - The outputCols to add.
Returns:
  This builder for chaining.

#### clearOutputCols

    public PlanProtocol.AggregationOperator.Builder clearOutputCols()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Returns:
  This builder for chaining.

#### addOutputColsBytes

    public PlanProtocol.AggregationOperator.Builder addOutputColsBytes​(com.google.protobuf.ByteString value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Parameters:
  `value` - The bytes of the outputCols to add.
Returns:
  This builder for chaining.

#### getOutputColsTypesList

    public com.google.protobuf.ProtocolStringList getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesList` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  A list containing the outputColsTypes.

#### getOutputColsTypesCount

    public int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesCount` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  The count of outputColsTypes.

#### getOutputColsTypes

    public String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypes` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The outputColsTypes at the given index.

#### getOutputColsTypesBytes

    public com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesBytes` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputColsTypes at the given index.

#### setOutputColsTypes

    public PlanProtocol.AggregationOperator.Builder setOutputColsTypes​(int index,
                                                                       String value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Parameters:
  `index` - The index to set the value at.
  `value` - The outputColsTypes to set.
Returns:
  This builder for chaining.

#### addOutputColsTypes

    public PlanProtocol.AggregationOperator.Builder addOutputColsTypes​(String value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Parameters:
  `value` - The outputColsTypes to add.
Returns:
  This builder for chaining.

#### addAllOutputColsTypes

    public PlanProtocol.AggregationOperator.Builder addAllOutputColsTypes​(Iterable<String> values)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Parameters:
  `values` - The outputColsTypes to add.
Returns:
  This builder for chaining.

#### clearOutputColsTypes

    public PlanProtocol.AggregationOperator.Builder clearOutputColsTypes()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Returns:
  This builder for chaining.

#### addOutputColsTypesBytes

    public PlanProtocol.AggregationOperator.Builder addOutputColsTypesBytes​(com.google.protobuf.ByteString value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Parameters:
  `value` - The bytes of the outputColsTypes to add.
Returns:
  This builder for chaining.

#### getForceOnePartition

    public boolean getForceOnePartition()

    Flag for runtime

`bool forceOnePartition = 6;`

Specified by:
  `getForceOnePartition` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  The forceOnePartition.

#### setForceOnePartition

    public PlanProtocol.AggregationOperator.Builder setForceOnePartition​(boolean value)

    Flag for runtime

`bool forceOnePartition = 6;`

Parameters:
  `value` - The forceOnePartition to set.
Returns:
  This builder for chaining.

#### clearForceOnePartition

    public PlanProtocol.AggregationOperator.Builder clearForceOnePartition()

    Flag for runtime

`bool forceOnePartition = 6;`

Returns:
  This builder for chaining.

#### getUseVector

    public boolean getUseVector()

    Flag for runtime

`bool use_vector = 7;`

Specified by:
  `getUseVector` in interface `PlanProtocol.AggregationOperatorOrBuilder`
Returns:
  The useVector.

#### setUseVector

    public PlanProtocol.AggregationOperator.Builder setUseVector​(boolean value)

    Flag for runtime

`bool use_vector = 7;`

Parameters:
  `value` - The useVector to set.
Returns:
  This builder for chaining.

#### clearUseVector

    public PlanProtocol.AggregationOperator.Builder clearUseVector()

    Flag for runtime

`bool use_vector = 7;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.AggregationOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.AggregationOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.AggregationOperator.Builder>`